org.wildfly.swarm.config.ee

## Class ManagedScheduledExecutorService<T extends ManagedScheduledExecutorService<T>>

- java.lang.Object
- - org.wildfly.swarm.config.ee.ManagedScheduledExecutorService<T>

-     public class ManagedScheduledExecutorService<T extends ManagedScheduledExecutorService<T>>
      extends Object

  A managed scheduled executor service

- - ### Constructor Summary

    Constructors
    Constructor and Description
    `ManagedScheduledExecutorService(String key)`

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `void` | `addPropertyChangeListener(PropertyChangeListener listener)` Adds a property change listener
    `String` | `contextService()` The name of the context service to be used by the scheduled executor.
    `T` | `contextService(String value)` The name of the context service to be used by the scheduled executor.
    `Integer` | `coreThreads()` The minimum number of threads to be used by the scheduled executor.
    `T` | `coreThreads(Integer value)` The minimum number of threads to be used by the scheduled executor.
    `String` | `getKey()`
    `Long` | `hungTaskThreshold()` The runtime, in milliseconds, for tasks to be considered hung by the scheduled executor.
    `T` | `hungTaskThreshold(Long value)` The runtime, in milliseconds, for tasks to be considered hung by the scheduled executor.
    `String` | `jndiName()` The JNDI Name to lookup the managed scheduled executor service.
    `T` | `jndiName(String value)` The JNDI Name to lookup the managed scheduled executor service.
    `Long` | `keepaliveTime()` When the number of threads is greater than the core, this is the maximum time, in milliseconds, that excess idle threads will wait for new tasks before terminating.
    `T` | `keepaliveTime(Long value)` When the number of threads is greater than the core, this is the maximum time, in milliseconds, that excess idle threads will wait for new tasks before terminating.
    `Boolean` | `longRunningTasks()` Flag which hints the duration of tasks executed by the scheduled executor.
    `T` | `longRunningTasks(Boolean value)` Flag which hints the duration of tasks executed by the scheduled executor.
    `RejectPolicy` | `rejectPolicy()` The policy to be applied to aborted tasks.
    `T` | `rejectPolicy(RejectPolicy value)` The policy to be applied to aborted tasks.
    `void` | `removePropertyChangeListener(PropertyChangeListener listener)` Removes a property change listener
    `String` | `threadFactory()` The name of the thread factory to be used by the scheduled executor.
    `T` | `threadFactory(String value)` The name of the thread factory to be used by the scheduled executor.

    - ### Methods inherited from class java.lang.Object

      `equals, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Constructor Detail

    - #### ManagedScheduledExecutorService

          public ManagedScheduledExecutorService(String key)

  - ### Method Detail

    - #### getKey

          public String getKey()

    - #### addPropertyChangeListener

          public void addPropertyChangeListener(PropertyChangeListener listener)

      Adds a property change listener

    - #### removePropertyChangeListener

          public void removePropertyChangeListener(PropertyChangeListener listener)

      Removes a property change listener

    - #### contextService

          public String contextService()

      The name of the context service to be used by the scheduled executor.

    - #### contextService

          public T contextService(String value)

      The name of the context service to be used by the scheduled executor.

    - #### coreThreads

          public Integer coreThreads()

      The minimum number of threads to be used by the scheduled executor.

    - #### coreThreads

          public T coreThreads(Integer value)

      The minimum number of threads to be used by the scheduled executor.

    - #### hungTaskThreshold

          public Long hungTaskThreshold()

      The runtime, in milliseconds, for tasks to be considered hung by the scheduled executor. If 0 tasks are never considered hung.

    - #### hungTaskThreshold

          public T hungTaskThreshold(Long value)

      The runtime, in milliseconds, for tasks to be considered hung by the scheduled executor. If 0 tasks are never considered hung.

    - #### jndiName

          public String jndiName()

      The JNDI Name to lookup the managed scheduled executor service.

    - #### jndiName

          public T jndiName(String value)

      The JNDI Name to lookup the managed scheduled executor service.

    - #### keepaliveTime

          public Long keepaliveTime()

      When the number of threads is greater than the core, this is the maximum time, in milliseconds, that excess idle threads will wait for new tasks before terminating.

    - #### keepaliveTime

          public T keepaliveTime(Long value)

      When the number of threads is greater than the core, this is the maximum time, in milliseconds, that excess idle threads will wait for new tasks before terminating.

    - #### longRunningTasks

          public Boolean longRunningTasks()

      Flag which hints the duration of tasks executed by the scheduled executor.

    - #### longRunningTasks

          public T longRunningTasks(Boolean value)

      Flag which hints the duration of tasks executed by the scheduled executor.

    - #### rejectPolicy

          public RejectPolicy rejectPolicy()

      The policy to be applied to aborted tasks.

    - #### rejectPolicy

          public T rejectPolicy(RejectPolicy value)

      The policy to be applied to aborted tasks.

    - #### threadFactory

          public String threadFactory()

      The name of the thread factory to be used by the scheduled executor.

    - #### threadFactory

          public T threadFactory(String value)

      The name of the thread factory to be used by the scheduled executor.

Copyright © 2017 JBoss by Red Hat. All rights reserved.